Subject: [nemo] RE: [Mip6] Consensus call on making ID draft-wakikawa-nemo-v4tunnela MIP6/NEMO WGs document

From: [email-masked]
Date: Sun, 3 Apr 2005 22:57:16 -0700

hi Pekka,

> However, your scenario does not really differ from here at all. 
> Instead of assuming that the Home Agent is reachable from anywhere at 
> all using v4 (+NAT traversal), we're assuming that a tunnel server is 
> available from anywhere at all using v4 (+NAT traversal) _or_ 
> that the 
> host implements/is able to use 6to4, Teredo, or a number of other 
> mechanisms.
> 
> Hence, if we don't need to restrict the solution space based on the 
> encapsulation overhead, decoupling the tunneling configuration from 
> Mobile IP protocols seems to make a lot of sense -- because re-using 
> transition mechanisms gives you the superset of functionality.

if you see the slides we presented at the IETF, we do emphasize
that the mechanism described in draft-wakikawa is to used only
when MIPv6 or NEMO is used. instead of setting up a MIP tunnel 
inside a transition tunnel, we combine the tunnel. 

I do expect the MN or MR to also implement regular tunneling 
mechanisms. these mechanisms are used when MIPv6/NEMO is not 
used for a particular session or if the Home Agent does not 
support the mechanism in draft-wakikawa.

Vijay

> 
> -- 
> Pekka Savola                 "You each name yourselves king, yet the
> Netcore Oy                    kingdom bleeds."
> Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings
> 
> _______________________________________________
> Mip6 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mip6
>